  server {

    server_name knast.cc;

	access_log   /var/log/nginx_null4bl3.access_log;

	
	location / {

	root /var/www/html/;
	index index.html index.php;

 }


        location /home/ {

        proxy_set_header        Host $host;
        proxy_set_header        X-Real-IP $remote_addr;
        proxy_set_header        X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header        X-Forwarded-Proto $scheme;
        proxy_pass              http://192.168.1.222:3333/;

 }


        location /nextcloud/ {

	client_max_body_size 10G;

        proxy_set_header        Host $host;
        proxy_set_header        X-Real-IP $remote_addr;
        proxy_set_header        X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header        X-Forwarded-Proto $scheme;
        proxy_pass              http://192.168.1.222:9090/;

 }

    location /jackett/ {
    
		proxy_pass http://192.168.1.222:9117;
		proxy_set_header X-Real-IP $remote_addr;
		proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
		proxy_set_header X-Forwarded-Proto $scheme;
		proxy_set_header X-Forwarded-Host $http_host;
		proxy_redirect off;
 }



    location /lounge/ {
    
		proxy_pass http://192.168.1.222:9000/;
		proxy_set_header X-Real-IP $remote_addr;
		proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
		proxy_set_header X-Forwarded-Proto $scheme;
		proxy_set_header X-Forwarded-Host $http_host;
		proxy_redirect off;
 }
  




}


  server {

    server_name notify.knast.cc;

        access_log   /var/log/nginx_gotify.access_log;

        location / {

    proxy_pass http://localhost:7171;
    proxy_set_header X-Real-IP $remote_addr;
    proxy_set_header Host $host;
    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;

    # WebSocket support
    proxy_http_version 1.1;
    proxy_set_header Upgrade $http_upgrade;
    proxy_set_header Connection "upgrade";
 }





}


  server {

    server_name rtc.knast.cc;

        access_log   /var/log/nginx_rtc.access_log;

        location / {

    proxy_pass http://localhost:3434;
    proxy_set_header X-Real-IP $remote_addr;
    proxy_set_header Host $host;
    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;

    # WebSocket support
    proxy_http_version 1.1;
    proxy_set_header Upgrade $http_upgrade;
    proxy_set_header Connection "upgrade";
 }




}





  server {

    server_name blog.knast.cc;


        access_log   /var/log/nginx_hexo_blog.access_log;

        location / {

        proxy_set_header        Host $host;
        proxy_set_header        X-Real-IP $remote_addr;
        proxy_set_header        X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header        X-Forwarded-Proto $scheme;
        proxy_pass              http://192.168.1.222:4000/;


 }




}







  server {

    server_name haste.knast.cc;


        access_log   /var/log/nginx_haste.access_log;

        location / {

        proxy_set_header        Host $host;
        proxy_set_header        X-Real-IP $remote_addr;
        proxy_set_header        X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header        X-Forwarded-Proto $scheme;
        proxy_pass              http://192.168.1.222:7777;


 }




}







  server {

    server_name znc.knast.cc;


        access_log   /var/log/nginx_znc.access_log;

        location / {

        proxy_set_header        Host $host;
        proxy_set_header        X-Real-IP $remote_addr;
        proxy_set_header        X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header        X-Forwarded-Proto $scheme;
        proxy_pass              http://192.168.1.222:6501;


 }



}



  server {

    server_name gitlab.knast.cc;

	client_max_body_size 1000M;

	access_log   /var/log/nginx_gitlab.access_log;

        location / {

        proxy_set_header        Host $host;
        proxy_set_header        X-Real-IP $remote_addr;
        proxy_set_header        X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header        X-Forwarded-Proto $scheme;
        proxy_pass              http://192.168.1.222:8080;


 }
  



}



  server {

    server_name riot.knast.cc;
	
	client_max_body_size 1000M;

	access_log   /var/log/nginx_riot.access_log;

        location / {

        proxy_set_header        Host $host;
        proxy_set_header        X-Real-IP $remote_addr;
        proxy_set_header        X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header        X-Forwarded-Proto $scheme;
        proxy_pass              http://127.0.0.1:8008;
#	proxy_pass              http://127.0.0.1:8448;

}

#    location /_matrix/ {
#        proxy_pass http://localhost:8448/_matrix/;
#    }

#    location /_matrix {
#	listen 8448;
#        proxy_pass http://localhost:8448;
#    }


#    location ~ /.well-known {
#        allow all;
#    }
  


}



